#include <bits/stdc++.h>

using namespace std;

int dp[20000];

int main()
{
    string s;
    cin>>s;
    int n=s.size();
    for(int i=1; i<n; i++)
    {
        dp[i]=dp[i-1];
        if(s[i]<s[i-1]) dp[i]++;
    }
    int q;
    cin>>q;
    while(q--)
    {
        int l, r;
        cin>>l>>r;
        cout<<dp[r-1]-dp[l-1]+1<<'\n';
    }
    return 0;
}
